#include "AreaInterface.h"

WaypointManager::AreaInterface::AreaInterface()
    : _mArea(nullptr)
    , _sArea(nullptr)
    , _cArea(nullptr)
    , _jArea(nullptr)
{

}

WaypointManager::AreaInterface::AreaInterface(WimaMeasurementAreaData *mArea,
                                              WimaServiceAreaData *sArea,
                                              WimaCorridorData *corr,
                                              WimaJoinedAreaData *jArea)
    : _mArea(mArea)
    , _sArea(sArea)
    , _cArea(corr)
    , _jArea(jArea)
{

}

void WaypointManager::AreaInterface::setMeasurementArea(WimaMeasurementAreaData *area)
{
    _mArea = area;
}

void WaypointManager::AreaInterface::setServiceArea(WimaServiceAreaData *area)
{
    _sArea = area;
}

void WaypointManager::AreaInterface::setCorridor(WimaCorridorData *area)
{
    _cArea = area;
}

void WaypointManager::AreaInterface::setJoinedArea(WimaJoinedAreaData *area)
{
    _jArea = area;
}

const WimaMeasurementAreaData *WaypointManager::AreaInterface::measurementArea() const
{
    return _mArea;
}

const WimaServiceAreaData *WaypointManager::AreaInterface::serviceArea() const
{
    return _sArea;
}

const WimaCorridorData *WaypointManager::AreaInterface::corridor() const
{
    return _cArea;
}

const WimaJoinedAreaData *WaypointManager::AreaInterface::joinedArea() const
{
    return _jArea;
}

WimaMeasurementAreaData *WaypointManager::AreaInterface::measurementArea()
{
    return _mArea;
}

WimaServiceAreaData *WaypointManager::AreaInterface::serviceArea()
{
    return _sArea;
}

WimaCorridorData *WaypointManager::AreaInterface::corridor()
{
    return _cArea;
}

WimaJoinedAreaData *WaypointManager::AreaInterface::joinedArea()
{
    return _jArea;
}
